version: 1
name: TuxTest rootfs test
description: Test new TuxTest rootfs
jobs:
- tests:
  - device: qemu-armv5
    kernel: https://storage.tuxboot.com/buildroot/armv5/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv5/rootfs.ext4.zst
    dtb: https://storage.tuxboot.com/buildroot/armv5/versatile-pb.dtb
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-armv5
    kernel: https://storage.tuxboot.com/buildroot/armv5/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv5/rootfs.ext4.zst
    dtb: https://storage.tuxboot.com/buildroot/armv5/versatile-pb.dtb
    tests: [ltp-fs_bind]

  - device: qemu-armv7
    kernel: https://storage.tuxboot.com/buildroot/armv7/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv7/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-armv7
    kernel: https://storage.tuxboot.com/buildroot/armv7/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv7/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-armv7
    kernel: https://storage.tuxboot.com/buildroot/armv7/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv7/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-armv7be
    kernel: https://storage.tuxboot.com/buildroot/armv7be/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv7be/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-armv7be
    kernel: https://storage.tuxboot.com/buildroot/armv7be/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv7be/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-armv7be
    kernel: https://storage.tuxboot.com/buildroot/armv7be/zImage
    rootfs: https://storage.tuxboot.com/buildroot/armv7be/rootfs.ext4.zst

  - device: qemu-arm64
    kernel: https://storage.tuxboot.com/buildroot/arm64/Image
    rootfs: https://storage.tuxboot.com/buildroot/arm64/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-arm64
    kernel: https://storage.tuxboot.com/buildroot/arm64/Image
    rootfs: https://storage.tuxboot.com/buildroot/arm64/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-arm64
    kernel: https://storage.tuxboot.com/buildroot/arm64/Image
    rootfs: https://storage.tuxboot.com/buildroot/arm64/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-arm64be
    kernel: https://storage.tuxboot.com/buildroot/arm64be/Image
    rootfs: https://storage.tuxboot.com/buildroot/arm64be/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-arm64be
    kernel: https://storage.tuxboot.com/buildroot/arm64be/Image
    rootfs: https://storage.tuxboot.com/buildroot/arm64be/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-arm64be
    kernel: https://storage.tuxboot.com/buildroot/arm64be/Image
    rootfs: https://storage.tuxboot.com/buildroot/arm64be/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-i386
    kernel: https://storage.tuxboot.com/buildroot/i386/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/i386/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-i386
    kernel: https://storage.tuxboot.com/buildroot/i386/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/i386/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-i386
    kernel: https://storage.tuxboot.com/buildroot/i386/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/i386/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-mips32
    kernel: https://storage.tuxboot.com/buildroot/mips32/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips32/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-mips32
    kernel: https://storage.tuxboot.com/buildroot/mips32/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips32/rootfs.ext4.zst
    tests: [ltp-fs_bind]

  - device: qemu-mips32el
    kernel: https://storage.tuxboot.com/buildroot/mips32el/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips32el/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-mips32el
    kernel: https://storage.tuxboot.com/buildroot/mips32el/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips32el/rootfs.ext4.zst
    tests: [ltp-fs_bind]

  - device: qemu-mips64
    kernel: https://storage.tuxboot.com/buildroot/mips64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips64/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-mips64
    kernel: https://storage.tuxboot.com/buildroot/mips64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips64/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-mips64
    kernel: https://storage.tuxboot.com/buildroot/mips64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips64/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-mips64el
    kernel: https://storage.tuxboot.com/buildroot/mips64el/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips64el/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-mips64el
    kernel: https://storage.tuxboot.com/buildroot/mips64el/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips64el/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-mips64el
    kernel: https://storage.tuxboot.com/buildroot/mips64el/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/mips64el/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-ppc32
    kernel: https://storage.tuxboot.com/buildroot/ppc32/uImage
    rootfs: https://storage.tuxboot.com/buildroot/ppc32/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-ppc32
    kernel: https://storage.tuxboot.com/buildroot/ppc32/uImage
    rootfs: https://storage.tuxboot.com/buildroot/ppc32/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-ppc32
    kernel: https://storage.tuxboot.com/buildroot/ppc32/uImage
    rootfs: https://storage.tuxboot.com/buildroot/ppc32/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-ppc64
    kernel: https://storage.tuxboot.com/buildroot/ppc64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/ppc64/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-ppc64
    kernel: https://storage.tuxboot.com/buildroot/ppc64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/ppc64/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-ppc64
    kernel: https://storage.tuxboot.com/buildroot/ppc64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/ppc64/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-ppc64le
    kernel: https://storage.tuxboot.com/buildroot/ppc64le/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/ppc64le/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-ppc64le
    kernel: https://storage.tuxboot.com/buildroot/ppc64le/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/ppc64le/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-ppc64le
    kernel: https://storage.tuxboot.com/buildroot/ppc64le/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/ppc64le/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-riscv32
    kernel: https://storage.tuxboot.com/buildroot/riscv32/Image
    rootfs: https://storage.tuxboot.com/buildroot/riscv32/rootfs.ext4.zst
    bios: https://storage.tuxboot.com/buildroot/riscv32/fw_jump.elf

  - device: qemu-riscv64
    kernel: https://storage.tuxboot.com/buildroot/riscv64/Image
    rootfs: https://storage.tuxboot.com/buildroot/riscv64/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-riscv64
    kernel: https://storage.tuxboot.com/buildroot/riscv64/Image
    rootfs: https://storage.tuxboot.com/buildroot/riscv64/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-riscv64
    kernel: https://storage.tuxboot.com/buildroot/riscv64/Image
    rootfs: https://storage.tuxboot.com/buildroot/riscv64/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-s390
    kernel: https://storage.tuxboot.com/buildroot/s390/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/s390/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-s390
    kernel: https://storage.tuxboot.com/buildroot/s390/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/s390/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-s390
    kernel: https://storage.tuxboot.com/buildroot/s390/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/s390/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-sh4
    kernel: https://storage.tuxboot.com/buildroot/sh4/zImage
    rootfs: https://storage.tuxboot.com/buildroot/sh4/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-sh4
    kernel: https://storage.tuxboot.com/buildroot/sh4/zImage
    rootfs: https://storage.tuxboot.com/buildroot/sh4/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-sh4
    kernel: https://storage.tuxboot.com/buildroot/sh4/zImage
    rootfs: https://storage.tuxboot.com/buildroot/sh4/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-sparc64
    kernel: https://storage.tuxboot.com/buildroot/sparc64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/sparc64/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-sparc64
    kernel: https://storage.tuxboot.com/buildroot/sparc64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/sparc64/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-sparc64
    kernel: https://storage.tuxboot.com/buildroot/sparc64/vmlinux
    rootfs: https://storage.tuxboot.com/buildroot/sparc64/rootfs.ext4.zst
    tests: [ltp-nptl]

  - device: qemu-x86_64
    kernel: https://storage.tuxboot.com/buildroot/x86_64/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/x86_64/rootfs.ext4.zst
    tests: [ltp-fcntl-locktests, ltp-fs_perms_simple, ltp-smoke]
  - device: qemu-x86_64
    kernel: https://storage.tuxboot.com/buildroot/x86_64/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/x86_64/rootfs.ext4.zst
    tests: [ltp-fs_bind]
  - device: qemu-x86_64
    kernel: https://storage.tuxboot.com/buildroot/x86_64/bzImage
    rootfs: https://storage.tuxboot.com/buildroot/x86_64/rootfs.ext4.zst
    tests: [ltp-nptl]
